Add tag to mutiple contracts
curl --request POST \
--url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/tag \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--data '
{
"tag": "v1.0.0",
"contract_ids": [
"eth:${NETWORK_ID}:${CONTRACT_ADDRESS}"
]
}
'import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/tag"
payload = {
"tag": "v1.0.0",
"contract_ids": ["eth:${NETWORK_ID}:${CONTRACT_ADDRESS}"]
}
headers = {
"X-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag: 'v1.0.0', contract_ids: ['eth:${NETWORK_ID}:${CONTRACT_ADDRESS}']})
};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tag": {
"tag": "v1.0.0",
"created_at": "2023-12-11T14:14:40.823977515Z"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Contracts
Add tag to mutiple contracts
This endpoint allows you to tag multiple smart contracts.
POST
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
tag
Add tag to mutiple contracts
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Body
application/json
Tag contracts payload
Response
A successful response.
An object with details about tagged contracts.
Was this page helpful?
⌘I